﻿using Android.App;
using Android.Widget;
using Android.OS;
using Com.Syncfusion.Charts;
using Android.Graphics;
using Com.Syncfusion.Charts.Enums;
using Android.Support.V7.App;
using Android.Views;

namespace ChartSample
{
    [Activity(Label = "ChartSample", MainLauncher = true, Icon = "@drawable/icon", Theme = "@style/Theme.AppCompat")]
    public class MainActivity : AppCompatActivity
    {
        SfChart chart;

        ObservableArrayList dataPoints;
        protected override void OnCreate(Bundle bundle)
        {
            base.OnCreate(bundle);

            chart = new SfChart(this);
            chart.SetBackgroundColor(Color.White);

            chart.PrimaryAxis = new NumericalAxis()
            {
                PlotOffset = 30,
                Minimum = 0,
                Maximum = 5
            };
            chart.SecondaryAxis = new NumericalAxis()
            {
                PlotOffset = 30,
                Minimum = 0,
                Maximum = 50
            };

            dataPoints = new ObservableArrayList();
            dataPoints.Add(new ChartDataPoint(2.5, 30));

            ScatterSeries scatterSeries = new ScatterSeries();
            scatterSeries.DataMarkerLabelCreated += ScatterSeries_DataMarkerLabelCreated;
            scatterSeries.ScatterHeight = 30;
            scatterSeries.ScatterWidth = 30;
            scatterSeries.Alpha = 0;
            scatterSeries.DataMarker.ShowLabel = true;
            scatterSeries.DataMarker.LabelStyle.LabelPosition = DataMarkerLabelPosition.Center;
            scatterSeries.TooltipEnabled = true;
            scatterSeries.DataSource = dataPoints;
            chart.Series.Add(scatterSeries);
            chart.TooltipCreated += Chart_TooltipCreated;

            SetContentView(chart);
        }

        private void Chart_TooltipCreated(object sender, SfChart.TooltipCreatedEventArgs e)
        {
            e.P1.Label = "XValue is: " + e.P1.ChartDataPoint.GetX() + "\n"+ "YValue is: " + e.P1.ChartDataPoint.GetY();
        }

        private void ScatterSeries_DataMarkerLabelCreated(object sender, ChartSeries.DataMarkerLabelCreatedEventArgs e)
        {
            LinearLayout layout = new LinearLayout(chart.Context);
            float density = this.Resources.DisplayMetrics.Density;

            ImageView image = new ImageView(chart.Context);
            image.LayoutParameters = new ViewGroup.LayoutParams(new LinearLayout.LayoutParams((int)(60 * density), (int)(60 * density)));
            image.SetImageResource(Resource.Drawable.Icon);

            layout.AddView(image);
            e.P0.View = layout;
        }
    }
}

